"use strict";

const isURL = require("@validatem/is-url");
const ignoreResult = require("@validatem/ignore-result");
const wrapError = require("@validatem/wrap-error");
const ValidationError = require("@validatem/error");

module.exports = wrapError("modular-matrix.is-mxc", "Must be a valid MXC URL", ignoreResult([
	isURL([ "mxc://" ]),
	function (value) {
		if (value.hostname == null || value.pathname == null) {
			return new ValidationError("Must be a valid MXC URL");
		}
	}
	// TODO: Actually do the parsing here also?
]));
